$ ===========================================================================
$ [...\ENDLG\INCLUDE\ENWTROHR.INC]
$ e-norm-Dialog         : Include-Datei zum Schreiben der Rohrleitungsparameter
$                         als Zeichnungsparameter in die akt. Zei
$ ---------------------------------------------------------------------------
$ Autor                 : P. Locarek, P. Locarek SOFTWARETECHNIK
$ Copyright             : P. Locarek SOFTWARETECHNIK
$ Datum der Erstellung  :
$ letzte nderung       :
$ Rev.:                 : 9.000
$ ===========================================================================
ATTRIBUTES = PARENTHESIS
if (AktZeiName <> '')
   {

   Apply = 0

   if not undef(ROH.SYS.NW)
      {
      DIOR=DrwMgr('PARAMSET'; AktZeiName; 'PARAM..EN.ROHR.NW';    TXT(ROH.SYS.NW))     $ Reihe Wanddicke
      Apply = 1
      }

   if not undef(ROH.SYS.PN)
      {
      DIOR=DrwMgr('PARAMSET'; AktZeiName; 'PARAM..EN.ROHR.PN';    TXT(ROH.SYS.PN))     $ Reihe Wanddicke
      Apply = 1
      }

   if not undef(ROH.SYS.REIHE)
      {
      DIOR=DrwMgr('PARAMSET'; AktZeiName; 'PARAM..EN.ROHR.REIHE'; TXT(ROH.SYS.REIHE))  $ Reihe Wanddicke
      Apply = 1
      }

   if not undef(ROH.SYS.A)
      {
      DIOR=DrwMgr('PARAMSET'; AktZeiName; 'PARAM..EN.ROHR.A';     TXT(ROH.SYS.A))      $ Reihe Wanddicke
      Apply = 1
      }

   if not undef(ROH.SYS.C)
      {
      DIOR=DrwMgr('PARAMSET'; AktZeiName; 'PARAM..EN.ROHR.C';     TXT(ROH.SYS.C))      $ Reihe Wanddicke
      Apply = 1
      }

   if not undef(ROH.SYS.AM)
      {
      DIOR=DrwMgr('PARAMSET'; AktZeiName; 'PARAM..EN.ROHR.AM';        ROH.SYS.AM)      $ Gewindenenndurchmesser (Text)
      Apply = 1
      }


   if Apply
      {

      DIOR=DrwMgr('PARAMAPPLY'; AktZeiName)    $ und in Zeichnung schreiben
      if not StrStart(DIOR; '@OK@')
         {
         error "~a0aaa Fehler"+':'
            {
            "~a0afc Fehler beim Schreiben der Zeichnungsparameter"+'!'
            }
         }
      }
   }
